function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { usePopover } from '../../../core';
import Button from '../Button';
import Text from '../Text';
export const Item = /*#__PURE__*/React.memo(({
  isDisabled,
  label,
  value,
  _label,
  style,
  ...props
}) => {
  const {
    parentComponentConfig: {
      selectedValue,
      closeMenu,
      selectedItemBg,
      _selectedItem,
      onValueChange,
      itemsList,
      _item
    }
  } = usePopover();
  let currentIndex = -1;
  itemsList.forEach((item, index) => {
    if (item.value === value) {
      currentIndex = index;
    }
  });
  let textProps = { ..._item,
    ..._label
  };

  if (selectedValue === value) {
    textProps = { ..._selectedItem
    };
  }

  return /*#__PURE__*/React.createElement(Button, _extends({
    p: 1,
    px: 2,
    rounded: 0,
    minH: 0,
    width: 150
  }, props, {
    bg: selectedValue === value ? selectedItemBg : undefined,
    justifyContent: "flex-start",
    style: style,
    onPress: () => {
      if (!isDisabled) {
        onValueChange(value, currentIndex);
        closeMenu && closeMenu();
      }
    }
  }), /*#__PURE__*/React.createElement(Text, _extends({
    fontSize: "sm",
    key: "select-item-".concat(value)
  }, textProps), label));
});
//# sourceMappingURL=Item.js.map